from django import template

register = template.Library()

@register.filter
def intspace(value):
    """Format an integer with space as thousands separator."""
    
    return '{:,.0f}'.format(value).replace(',', ' ')


